#include <iostream>
int main() {
    int N, L;
    std::cin >> N >> L;
    for(int i = 0;i < N;i ++){
        int H;
        std::cin >> H;
        if(H <= L){
            std::cout << i + 1;
            return 0;
        }
    }
    std::cout<<"-1";
    return 0;
}